Bug 277361 - liblrdf missing ladspa.rdfs file, applications can't auto-categorize plugins
liblrdf missing ladspa.rdfs file, applications can't auto-categorize plugins
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: liblrdf (Show other bugs)
7
All Linux
high Severity high
: ---
: ---
Assigned To: Anthony Green
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-09-04 16:51 EDT by Fernando Lopez-Lezcano
Modified: 2007-11-30 17:12 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-10-09 07:24:35 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Fernando Lopez-Lezcano 2007-09-04 16:51:35 EDT
Description of problem:

/usr/share/ladspa/lrdf/ladspa.rdfs is missing from the package (deliberately
excluded). Without that file ladspa plugins cannot be automatically categorized
by their rdf descriptions by programs that act as hosts of ladspa plugins. 

Readding manually the file to /usr/share/ladspa/rdf makes the applications work
as expected. 

Version-Release number of selected component (if applicable):

All

How reproducible:

Always.

Steps to Reproduce:
1. open a ladspa aware application
2. try to add a plugin
3. list of plugins is not categorized
  
Actual results:
Plugins are not split into categories

Expected results:
Plugins should be split into categories

Additional info:
This also happens in previous versions of the OS, it should be fixed at least in fc6
Comment 1 Anthony Green 2007-10-09 07:24:35 EDT
Fixed back to FC6 in rev -12.  I also added a dependency on the ladspa package
so we don't get any orphaned directories.

Note You need to log in before you can comment on or make changes to this bug.